Difference between revisions of "Fedora 17 Installation Guide"

From cchtml.com
Jump to: navigation, search
(Download driver)
(33 intermediate revisions by 8 users not shown)
Line 1: Line 1:
amd catalyst 12.6 beta can work well with fedora 17.
+
Note:  12.9 BETA minimum !!!For kernel 3.4.* and up
  
 +
This section applies directly to users using the Official amd-driver-installer package downloaded from amd.com
  
http://support.amd.com/us/kbarticles/Pages/AMDCatalyst126beta.aspx
+
=== Installation Prep for Amd-Driver-Installer ===
  
how-to install?
+
The script from AMD builds the kernel module and a set of modules for XOrg. The Official AMD installer requires some development packages to be installed:
*[[Fedora 15 Installation Guide]]
+
  
If you have an HD4xxx series card, [http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx Catalyst] 12.4 is the newest driver to support it (as of June 4, 2012). This won't work with X version 1.12 (the one packaged with Fedora 17). To downgrade to X version 1.11, use the following commands (as root). <br>
+
<pre>
<em>Note: I'm assuming x86_64</em><br>
+
su -
<b>IMPORTANT:</b> I'd highly recommend going down to runlevel 3 first. You can do this using the following command in one of the text consoles (<CTRL> + <ALT> + <Fx> where x is 1-9, just try them until you get to a console)
+
yum install kernel-devel kernel-headers gcc gcc-c++
<pre>systemctl isolate runlevel3.target</pre>
+
</pre>
Commands for downgrading X:
+
 
<pre>yum erase xorg-x11-drv-intel</pre>
+
 
<pre>yum --releasever=16 install libxcb* xcb-util startup-notification*</pre>
+
=== Download driver ===
<pre>yum --releasever=16 downgrade *xcb* xorg*</pre>
+
 
You may also need libxcb.i686 from the Fedora 16 release. The intel driver has additional dependencies, and those with AMD/ATi cards don't need it anyway.
+
Download the driver for your particular card from http://support.amd.com/
To solve the issues with the new kernel source, use the steps in <ul><li>[[Fedora 16 Installation Guide]]</li></ul>
+
 
A long term problem that can crop up because of the use of old packages is that whenever you go to update, yum will attempt to overwrite them. To solve this, add the following line to your <code>/etc/yum.conf</code> file.
+
 
<pre>exclude=xorg* xcb-util startup-notification*</pre>
+
  wget http://www2.ati.com/drivers/beta/amd-driver-installer-12-9-beta-x86.x86_64.zip
 +
  unzip amd-driver-installer-12-9-beta-x86.x86_64.zip
 +
 
 +
=== Install driver ===
 +
 
 +
Run the file as root in the ''sh'' shell.
 +
 
 +
  su
 +
  sh amd-driver-installer-12-9-beta-x86.x86_64.run
 +
 
 +
 
 +
Select the default install, do not generate distribution packages.
 +
 
 +
Click "check log" when install finish
 +
 
 +
=== GENERATE DEFAULT CONFIG ===
 +
 
 +
 
 +
  su
 +
  sh aticonfig --initial
 +
 
 +
 
 +
REBOOT
 +
 
 +
===To Uninstall===
 +
Open terminal,SU to get root,type:
 +
 
 +
  sh /usr/share/ati/amd-uninstall.sh
 +
 
 +
 
 +
Video playback
 +
 
 +
Add rpm-fusion repositories (free and non-free) via firefox
 +
 
 +
    http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-stable.noarch.rpm
 +
    http://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-stable.noarch.rpm
 +
    open with Archive manager and install,this will provide extra video-codec like H-264,ac3,xvid,mp4....
 +
 
 +
Good luck,
 +
 
 +
winglman
 +
 
 +
knowledge is free, so share it!

Revision as of 01:13, 7 October 2012

Note: 12.9 BETA minimum !!!For kernel 3.4.* and up

This section applies directly to users using the Official amd-driver-installer package downloaded from amd.com

Installation Prep for Amd-Driver-Installer

The script from AMD builds the kernel module and a set of modules for XOrg. The Official AMD installer requires some development packages to be installed:

su -
yum install kernel-devel kernel-headers gcc gcc-c++


Download driver

Download the driver for your particular card from http://support.amd.com/


  wget http://www2.ati.com/drivers/beta/amd-driver-installer-12-9-beta-x86.x86_64.zip
  unzip amd-driver-installer-12-9-beta-x86.x86_64.zip

Install driver

Run the file as root in the sh shell.

  su
  sh amd-driver-installer-12-9-beta-x86.x86_64.run


Select the default install, do not generate distribution packages.

Click "check log" when install finish

GENERATE DEFAULT CONFIG

  su
  sh aticonfig --initial


REBOOT

To Uninstall

Open terminal,SU to get root,type:

  sh /usr/share/ati/amd-uninstall.sh


Video playback

Add rpm-fusion repositories (free and non-free) via firefox

   http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-stable.noarch.rpm
   http://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-stable.noarch.rpm
   open with Archive manager and install,this will provide extra video-codec like H-264,ac3,xvid,mp4.... 

Good luck,

winglman

knowledge is free, so share it!